From 18638859e6cce9289700cdf0a55af207521d3b1d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 15:58:33 +0200
Subject: [PATCH 12/45] Expect len to be a type of socklen_t
 [-Werror=pointer-sign]

---
 svr-x11fwd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/svr-x11fwd.c b/svr-x11fwd.c
index d11ff4e..ad1e7d4 100644
--- a/svr-x11fwd.c
+++ b/svr-x11fwd.c
@@ -107,7 +107,7 @@ static void x11accept(struct Listener* listener, int sock) {
 
 	int fd;
 	struct sockaddr_in addr;
-	int len;
+	socklen_t len;
 	int ret;
 	struct ChanSess * chansess = (struct ChanSess *)(listener->typedata);
 

